/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package personaddress

import (
	e "simrs-vx/internal/domain/main-entities/person-address"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.PersonAddress) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Person_Id = inputSrc.Person_Id
	data.LocationType_Code = inputSrc.LocationType_Code
	data.Address = inputSrc.Address
	data.Rt = inputSrc.Rt
	data.Rw = inputSrc.Rw
	data.Village_Code = inputSrc.Village_Code
	data.PostalRegion_Code = inputSrc.PostalRegion_Code
}
